%define ROOT $RPM_BUILD_ROOT/var/ftp/lib

Summary: A fast, read-only, anonymous FTP server.
Name: anonftp
Version: 3.0
Release: 9
Copyright: GPL
Group: System Environment/Daemons
Source: recompress.c
Prefix: /var/ftp
BuildRoot: %{_tmppath}/anonftp-root
AutoReqProv: 0
Requires: ftpserver
Prereq: /usr/sbin/usermod
BuildPrereq: fileutils, glibc, tar, gzip, ncompress

%description
Anonftpd is a fast, read-only, anonymous FTP server. Anonymous FTP
access allows anyone to download files from an FTP server. Anonymous
FTP is a popular way of making files available via the Internet.

Install the anonftp package if you would like to enable anonymous 
FTP downloads from your FTP server.

%prep
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/ftp
mkdir -p $RPM_BUILD_ROOT/var/ftp/pub
mkdir -p $RPM_BUILD_ROOT/var/ftp/etc
mkdir -p $RPM_BUILD_ROOT/var/ftp/bin
mkdir -p $RPM_BUILD_ROOT/var/ftp/lib

cat > $RPM_BUILD_ROOT/var/ftp/etc/passwd <<EOF
root:*:0:0:::
bin:*:1:1:::
operator:*:11:0:::
ftp:*:14:50:::
nobody:*:99:99:::
EOF

cat > $RPM_BUILD_ROOT/var/ftp/etc/group <<EOF
root::0:
bin::1:
daemon::2:
sys::3:
adm::4:
ftp::50:
EOF

# These libraries are part of libc, and needed by various programs in bin.
LIBCVER=`basename /lib/libc-*.so .so | cut -f2- -d-`
cp -fd /lib/ld-${LIBCVER}.so %{ROOT}
cp -fd /lib/libc-${LIBCVER}.so %{ROOT}
cp -fd /lib/libnsl-${LIBCVER}.so %{ROOT}
cp -fd /lib/libnss_files-${LIBCVER}.so %{ROOT}
cp -fd /lib/libtermcap.so.*.* %{ROOT}

# We don't mind if these can't be found.
PTHREADVER=`basename /lib/libpthread-*.so .so | cut -f2- -d-`
cp -fd /lib/libpthread-${PTHREADVER}.so %{ROOT} || :
cp -fd /lib/librt-${LIBCVER}.so %{ROOT} || :

# Binaries for non-internal ls and neat-o extensions.
cp -fd /bin/{cpio,gzip,ls,tar} $RPM_BUILD_ROOT/var/ftp/bin
# cp -fd /bin/ash $RPM_BUILD_ROOT/var/ftp/bin/sh
ln -sf gzip $RPM_BUILD_ROOT/var/ftp/bin/zcat
cp -fd /usr/bin/compress $RPM_BUILD_ROOT/var/ftp/bin

%{__cc} $RPM_OPT_FLAGS -o $RPM_BUILD_ROOT/var/ftp/bin/recompress %{SOURCE0}
strip -R .comment $RPM_BUILD_ROOT/var/ftp/lib/*
strip -R .comment $RPM_BUILD_ROOT/var/ftp/bin/{compress,cpio,gzip,ls,tar,recompress}

# Use ldconfig to build symlinks and whatnot.
touch $RPM_BUILD_ROOT/var/ftp/etc/ld.so.conf
/sbin/ldconfig -r $RPM_BUILD_ROOT/var/ftp

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/usermod -d /var/ftp ftp 2>&1 > /dev/null || :

%files
%defattr(-,root,root)
%attr(0444,root,root) %config /var/ftp/etc/passwd
%attr(0444,root,root) %config /var/ftp/etc/group
%attr(0444,root,root) /var/ftp/etc/ld.so.cache
%attr(0755,root,root) /var/ftp/lib/*

%attr(0755,root,root) %dir /var/ftp
%attr(0111,root,root) %dir /var/ftp/bin
%attr(0111,root,root) %dir /var/ftp/etc
%attr(0755,root,root) %dir /var/ftp/lib
%attr(2755,root,ftp)  %dir /var/ftp/pub
%attr(0111,root,root) /var/ftp/bin/compress
%attr(0111,root,root) /var/ftp/bin/cpio
%attr(0111,root,root) /var/ftp/bin/gzip
%attr(0111,root,root) /var/ftp/bin/ls
# %attr(0111,root,root) /var/ftp/bin/sh
%attr(0111,root,root) /var/ftp/bin/tar
%attr(0111,root,root) /var/ftp/bin/zcat

%changelog
* Thu Aug 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove the libnss libs for glibc 2.0 -- none of the binaries need them

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- add a %post that runs "usermod -d /var/ftp ftp" to fix upgrades
- autodetect the libc version number (#16292)
- add librt, libnsl, libpthread, libtermcap for /var/ftp/bin (#16292)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- adapt to current glibc
- fix build on ia64

* Tue Jun  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- usr /var/ftp instead of /home/ftp
- libc 2.1.90

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- strip binaries and libraries
- rebuild to get latest libc

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description and summary

* Tue Jan 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add BuildPrereqs
- newer libc
- add recompress from BeroFTPD - it's useful for ftpconversions
- remove sh. Having a shell in the chroot ftp-structure is a security
  problem, not a feature.
- fix build with rpm 3.0.4

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)
- glibc version 2.1.1

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- add sparc

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- fix defattr typo (#784)
- newer libc

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- abuse the %attr settings instead of massive chown
- avoid cp-av because it breaks on symlinks (the wonders of lchown/chown
- rebuild for glibc 2.1

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- newer libc

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated for the newer glibc libs

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- Built with glibc for the first time
- moved BuildRoot to /var/tmp
- mega-reworking of the spec file

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Requires ftpserver virtual package now (which wu-ftpd provides).
